org.apache.fop.fo.expr

## Class NCnameProperty

- java.lang.Object
- - org.apache.fop.fo.properties.Property
  - - org.apache.fop.fo.expr.NCnameProperty

    public class NCnameProperty
    extends Property

Class for handling NC Name objects

### Field Summary

### Fields inherited from class org.apache.fop.fo.properties.Property

`log`

### Constructor Summary

Constructors
Constructor and Description
`NCnameProperty(String ncName)` Constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`
`Color` `getColor(FOUserAgent foUserAgent)` If a system color, return the corresponding value.
`String` `getNCname()` This method expects to be overridden by subclasses
`Object` `getObject()` This method expects to be overridden by subclasses
`String` `getString()` This method expects to be overridden by subclasses.
`int` `hashCode()`

### Methods inherited from class org.apache.fop.fo.properties.Property

`getCharacter, getCondLength, getEnum, getKeep, getLength, getLengthPair, getLengthRange, getList, getNumber, getNumeric, getSpace, getSpecifiedValue, isAuto, setSpecifiedValue, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NCnameProperty

    public NCnameProperty(String ncName)

Constructor

Parameters:
  `ncName` - string representing the ncName

### Method Detail

#### getColor

    public Color getColor(FOUserAgent foUserAgent)

If a system color, return the corresponding value.

Overrides:
  `getColor` in class `Property`
Parameters:
  `foUserAgent` - Reference to FOP user agent - keeps track of cached ColorMaps for ICC colors
Returns:
  Color object corresponding to the NCName

#### getString

    public String getString()

Description copied from class: `Property`
This method expects to be overridden by subclasses.

Overrides:
  `getString` in class `Property`
Returns:
  the name as a String (should be specified with quotes!)

#### getObject

    public Object getObject()

Description copied from class: `Property`
This method expects to be overridden by subclasses

Overrides:
  `getObject` in class `Property`
Returns:
  the name as an Object.

#### getNCname

    public String getNCname()

Description copied from class: `Property`
This method expects to be overridden by subclasses

Overrides:
  `getNCname` in class `Property`
Returns:
  ncName for this

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`